Returns a list of Payroll Batch Unit warnings.
Use this method if you need to get a list of Payroll Batch Unit warnings. The list of field groups for Payroll Batch Unit warnings:
- Default: ID, Store, Employee, Description Permissions: All users.
Query Parameters
- Type: stringFormat: uuidPayroll
Group I D Parameter PayrollGroupID is used to limit the list of Payroll Batch Warnings. Type: Guid The parameter is required for MU/Admin users.
- Type: stringFields
This parameter is used to specify a comma delimited list of fields to return for an object. A field group can also be specified in the following format: 'fieldGroupName'. All fields for the object can be returned by specifying 'All'
'Default' group is always shown, even if Fields parameter is not specified. 'Lookup' group will be shown if a model is a child of the required one.
- Type: stringapi
-version
Headers
- Type: stringD
C Key The Integration Key generated for API Authentication by the PAR OPS support team as part of the integration/partnership process.
Responses
curl '/Payroll/PayrollBatchWarnings?PayrollGroupID=C895A81E-0C20-42C0-B2DC-EAF43F9447BD' \
--header 'DCKey: YOUR_SECRET_TOKEN'
{
"Data": {
"ID": 1,
"Employee": null,
"Description": null,
"Store": {
"ID": null,
"Description": null,
"Number": null,
"Hidden": "No",
"EditStartDate": "2019-01-03",
"EditEndDate": "2019-01-03",
"ExtendDays": 0,
"SuspendDBS": false,
"ShiftCounts": true,
"SubscriptionGroup": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"GroupType": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"Default": null
},
"POSLinkingGroup": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ParentGroup": null,
"Description": null,
"GroupTypes": [
{
"ID": null,
"Description": null
}
],
"Hidden": false,
"GroupCode": null,
"ChildGroups": [
{}
]
},
"FiscalCalendar": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"AccountMask": null,
"AllowClosePeriodWithMissingPOSData": false,
"AllowOverwriteInventoryCost": false,
"ExtendDaysDefault": 0,
"LocalCurrency": {
"ID": null,
"Description": null
},
"AdjustedMidnightForBusinessDate": "12:00AM",
"EnableHistory": false,
"POSUnitID": "",
"ContactName": null,
"Cell": null,
"Work": null,
"Fax": null,
"Email": null,
"Country": {
"ID": 1,
"Description": null,
"Code": null,
"Hide": null
},
"Address1": null,
"Address2": null,
"City": null,
"State": {
"StateID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"Code": null,
"IsPayrollDistrict": true,
"StateTax": null
},
"Zip": null,
"County": null,
"Latitude": null,
"Longitude": null,
"PayrollGroup": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"Hide": null
},
"PayrollDistrict": {
"StateID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"Code": null,
"IsPayrollDistrict": true,
"StateTax": null
},
"InitialPayrollDate": "2019-01-03",
"PayrollUnitCode": null,
"TimecardSource": "P",
"LocalTaxCode1": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"LocalTaxCode2": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"DisableSSNValidation": false,
"AllowManualTipDistribution": false,
"AllowOverwriteSharePercent": false,
"MinusDaysForLaborProcessing": 0,
"InServiceDate": "2019-01-03",
"StoreCloseTime": "12:00AM",
"EnableInventoryEstimating": false,
"ForecastFormat": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null,
"IsDefault": null,
"IntervalType": 1,
"Locked": null
},
"SameStoreSalesDate": "2019-01-03",
"MenuGroup": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"ParentGroup": null,
"Description": null,
"GroupTypes": [
{
"ID": null,
"Description": null
}
],
"Hidden": false,
"GroupCode": null,
"ChildGroups": [
{}
]
},
"SquareFeet": 1,
"StoreCloseDate": "2019-01-03",
"TempScale": "string",
"StartPeriod": "2019-01-03",
"EndPeriod": "2019-01-03",
"PeriodName": null,
"TradesReceivable": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"TradesPayable": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"EnablePMVerification": false,
"IncludePOSPaidIOInCOGS": false,
"NegativeUsage": true,
"VarianceUsageThreshold": null,
"BankName": null,
"AccountNumber": null,
"ABANumber": null,
"FieldsMapping": {
"ID": "C895A81E-0C20-42C0-B2DC-EAF43F9447BD",
"Description": null
},
"Flags": false,
"I9": false,
"W4Federal": false,
"W4State": false,
"Breaks": false,
"Certifications": false,
"Custom": false,
"Documents": false,
"EnableNotification": false,
"NotificationBegins": null,
"NotificationEnds": null,
"TimeZoneOffset": -5,
"Group1": null,
"Group2": null,
"Group3": null,
"Group4": null,
"Group5": null,
"EACustom1": null,
"EACustom2": null,
"EACustom3": null,
"EACustom4": null,
"EACustom5": null,
"MaxInventoryAmount": null
}
}
}